[Résolu] worpress local : passage de php 7.0 à php 7.2 (Créer un compte)

  • WordPress :4.9.4
  • Statut : résolu
9 sujets de 1 à 9 (sur un total de 9)
  • Auteur
    Messages
  • #2160434
    alain-brest
    Participant
    Initié WordPress
    49 contributions

    Bonjour ,

    Ma configuration WP actuelle :

    • – Version de WordPress : 4.9.6
    • – Version de PHP/MySQL : 7.0.29-1+b2 / 5.5.5
    • – Thème utilisé : Radiate
    • – Thème URI : https://themegrill.com/themes/radiate/
    • – Extensions en place : Akismet Anti-Spam (4.0.7), Forum_wordpress_fr (4.1), Html5 Audio Player (1.0), ThemeGrill Demo Importer (1.4.3), WPForms Lite (1.4.7.1)
    • – Adresse du site : http://localhost
    • – Nom de l’hébergeur : Apache/2.4.33 (Debian)

    comme vous le voyez , j’utilise php 7.0

    je souhaite passer à php 7.2 ?

    quels sont les risques ?

    quels sont les avantages ?

    wp le supporte – t – il ?

    est ce faisable ?

    y ai je intérêt à le faire ?

     

     

    #2160438
    sebastienserre
    Gestionnaire du forum
    Maître WordPress
    814 contributions

    Les riques sont que le thème une des extensions utilisées ne soient pas pret.

    L’avantages majeur que j’ai vu ets la rapiditié de chargement de la page

    WP le supporte (attention aux Plugins et Thème)

    oui c’est faisable

    c’est vous qui voyez

    #2160440
    Li-An
    Modérateur
    Maître WordPress
    23319 contributions

    Bonjour, WP tout nu supporte php 7.2. Mais pas sûr que le thème et les extensions soient dans ce cas. Je préconise php 7.1+ parce que si une extension ne le supporte pas, c’est qu’elle n’a pas été mise à jour depuis longtemps. Les risques d’aller trop loin c’est de voir son site tout cassé par une extension en rade. Il n’y a que des avantages à aller vers la version la plus récente possible, notamment question sécurité.

    #2160445
    alain-brest
    Participant
    Initié WordPress
    49 contributions

    ah ? et pour le thème radiate  (le mien , donc) ? supporte php 7.2 ? comment le savoir ?

    chez moi php 7.2 est configuré et fonctionnel mais pas pour WP (php 7.0) .

    comment faire ?

     

    #2160450
    alain-brest
    Participant
    Initié WordPress
    49 contributions

    avec SG optimizer , trouvé ceci :

    The following plugins/themes are not compatible with PHP 7.1.

    Html5 Audio Player

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/inc/follow.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/inc/custom-offer.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/cmb2/js/index.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/cmb2/css/index.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/cmb2/images/index.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/cmb2/includes/index.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/wp-content/plugins/html5-audio-player/cmb2/index.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

     

    WPForms Lite

    FILE: /var/www/html/wp-content/plugins/wpforms-lite/includes/analytics/class-monster-insights.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    End Report 1528548781

    je ne sais que faire ?

     

    • Cette réponse a été modifiée le il y a 1 année et 10 mois par alain-brest.
    • Cette réponse a été modifiée le il y a 1 année et 10 mois par alain-brest.
    • Cette réponse a été modifiée le il y a 1 année et 10 mois par alain-brest.
    #2160458
    Li-An
    Modérateur
    Maître WordPress
    23319 contributions

    Vous restez en php 7.0+ et vous contactez les développeurs.

    #2160459
    Li-An
    Modérateur
    Maître WordPress
    23319 contributions

    Par contre je n’ai pas compris comment WP n’est pas avec la même version de php que le reste de votre hébergement.

    #2160479
    DM62
    Participant
    Chevalier WordPress
    103 contributions

    slt ,

    perso j’ai ut plein de souci en utilisant le php 7.2 je suis repassé au 7.0.

    Avec la version 7.2 impossible pour moi de télécharger des images

    voir sujet : https://wpfr.net/support/sujet/dossier-temp-manquant/

    Donc je te conseil le 7.0

    • Cette réponse a été modifiée le il y a 1 année et 10 mois par DM62.
    #2160484
    alain-brest
    Participant
    Initié WordPress
    49 contributions

    réponse des dev :

    There’s nothing you CAN do, unless you want to change the plugins yourself ( which the changes will be wiped out after the update ), or you ask the developer to update it. By the way, these aren’t errors, these are warnings. They probably aren’t fatal errors that ground your website.

    je traduis :

    Il n’y a rien que vous POUVEZ faire, à moins que vous ne vouliez changer les plugins vous-même (les changements seront effacés après la mise à jour), ou que vous demandiez au développeur de les mettre à jour. Au fait, ce ne sont pas des erreurs, ce sont des avertissements. Il ne s’agit probablement pas d’erreurs fatales qui ont mis votre site Web à la terre.

    donc , c’est normal . il n’y a rien à faire . rajouté au souci de DM62 , je traduis : pas toucher ! dépend directement des mises à jour de WP .

    je clos le sujet .

     

9 sujets de 1 à 9 (sur un total de 9)
  • Vous devez être connecté pour répondre à ce sujet.